<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" targetNamespace="http://www.mpiwg-berlin.mpg.de/ns/echo/1.0/" xmlns:de="http://www.mpiwg-berlin.mpg.de/ns/de/1.0/" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:echo="http://www.mpiwg-berlin.mpg.de/ns/echo/1.0/" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:dcterms="http://purl.org/dc/terms" xmlns:xlink="http://www.w3.org/1999/xlink">
  <xs:import schemaLocation="local.xsd"/>
  <xs:import namespace="http://purl.org/dc/terms" schemaLocation="dcterms.xsd"/>
  <xs:import namespace="http://www.mpiwg-berlin.mpg.de/ns/de/1.0/" schemaLocation="echo-de.xsd"/>
  <xs:import namespace="http://www.w3.org/1998/Math/MathML" schemaLocation="echo-import-mathml.xsd"/>
  <xs:import namespace="http://www.w3.org/1999/xhtml" schemaLocation="echo-import-xhtml.xsd"/>
  <xs:import namespace="http://www.w3.org/1999/xlink" schemaLocation="xlink.xsd"/>
  <xs:import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="xml.xsd"/>
  <!--
    echo-block
    
    This file is part of the ECHO Schema. See the main file "echo.rnc".
  -->
  <xs:element name="head">
    <xs:complexType>
      <xs:complexContent>
        <xs:extension base="echo:echo.head.content">
          <xs:attributeGroup ref="echo:echo.head.attlist"/>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>
  </xs:element>
  <xs:attributeGroup name="echo.head.attlist">
    <xs:attributeGroup ref="echo.inline.attrib"/>
    <xs:attribute name="flow"/>
    <xs:attribute name="type">
      <xs:simpleType>
        <xs:restriction base="xs:token">
          <xs:enumeration value="ti"/>
        </xs:restriction>
      </xs:simpleType>
    </xs:attribute>
  </xs:attributeGroup>
  <xs:complexType name="echo.head.content" mixed="true">
    <xs:group ref="echo:echo.inline.model"/>
  </xs:complexType>

  <xs:element name="p">
    <xs:complexType>
      <xs:group ref="echo:echo.p.content"/>
      <xs:attributeGroup ref="echo:echo.p.attlist"/>
    </xs:complexType>
  </xs:element>
  <xs:attributeGroup name="echo.p.attlist">
    <xs:attributeGroup ref="echo.core.attrib"/>
    <xs:attribute name="type">
      <xs:simpleType>
        <xs:restriction base="xs:token">
          <xs:enumeration value="title"/>
        </xs:restriction>
      </xs:simpleType>
    </xs:attribute>
    <xs:attribute name="flow"/>
    <xs:attribute name="indent"/>
    <xs:attribute name="ics">
      <xs:simpleType>
        <xs:restriction base="xs:token">
          <xs:enumeration value="yes"/>
        </xs:restriction>
      </xs:simpleType>
    </xs:attribute>
  </xs:attributeGroup>
  <xs:group name="echo.p.content">
    <xs:sequence>
      <xs:group maxOccurs="unbounded" ref="echo:echo.p.class"/>
    </xs:sequence>
  </xs:group>
  <xs:attributeGroup name="echo.p.type">
    <xs:attribute name="type" use="required">
      <xs:simpleType>
        <xs:restriction base="xs:token">
          <xs:enumeration value="title"/>
        </xs:restriction>
      </xs:simpleType>
    </xs:attribute>
  </xs:attributeGroup>
  <xs:group name="echo.p.class">
    <xs:choice>
      <xs:element ref="echo:pc"/>
      <xs:element ref="echo:s"/>
      <xs:element ref="echo:echo.milestone.class"/>
      <xs:group ref="echo:echo.p-set-off"/>
      <xs:group ref="echo:echo.quote"/>
    </xs:choice>
  </xs:group>
 
  <xs:element name="s">
    <xs:complexType>
      <xs:complexContent>
        <xs:extension base="echo:echo.s.content">
          <xs:attributeGroup ref="echo:echo.s.attlist"/>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>
  </xs:element>
  <xs:attributeGroup name="echo.s.attlist">
    <xs:attributeGroup ref="echo.inline.attrib"/>
  </xs:attributeGroup>
  <xs:complexType name="echo.s.content" mixed="true">
    <xs:group ref="echo:echo.inline.model"/>
  </xs:complexType>
  <xs:group name="echo.blockquote">
    <xs:sequence>
      <xs:element name="quote">
        <xs:complexType>
          <xs:complexContent>
            <xs:extension base="echo:echo.blockquote.content">
              <xs:attributeGroup ref="echo:echo.blockquote.attlist"/>
            </xs:extension>
          </xs:complexContent>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:group>
  <xs:attributeGroup name="echo.blockquote.attlist">
    <xs:attributeGroup ref="echo.core.attrib"/>
    <xs:attribute name="open"/>
    <xs:attribute name="close"/>
  </xs:attributeGroup>
  <xs:complexType name="echo.blockquote.content">
    <xs:choice>
      <xs:element maxOccurs="unbounded" ref="echo:p"/>
      <xs:group ref="echo:echo.p.content"/>
    </xs:choice>
  </xs:complexType>

  <xs:element name="pc">
    <xs:complexType>
      <xs:complexContent>
        <xs:extension base="echo:echo.pc.content">
          <xs:attributeGroup ref="echo:echo.pc.attlist"/>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>
  </xs:element>
  <xs:attributeGroup name="echo.pc.attlist">
    <xs:attributeGroup ref="echo.inline.attrib"/>
  </xs:attributeGroup>
  <xs:complexType name="echo.pc.content" mixed="true">
    <xs:group ref="echo:echo.inline.model"/>
  </xs:complexType>
  <xs:group name="echo.blockquote">
    <xs:sequence>
      <xs:element name="quote">
        <xs:complexType>
          <xs:complexContent>
            <xs:extension base="echo:echo.blockquote.content">
              <xs:attributeGroup ref="echo:echo.blockquote.attlist"/>
            </xs:extension>
          </xs:complexContent>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:group>
  <xs:attributeGroup name="echo.blockquote.attlist">
    <xs:attributeGroup ref="echo.core.attrib"/>
    <xs:attribute name="open"/>
    <xs:attribute name="close"/>
  </xs:attributeGroup>
  <xs:complexType name="echo.blockquote.content">
    <xs:choice>
      <xs:element maxOccurs="unbounded" ref="echo:p"/>
      <xs:group ref="echo:echo.p.content"/>
    </xs:choice>
  </xs:complexType>


  <xs:element name="c">
    <xs:complexType>
      <xs:complexContent>
        <xs:extension base="echo:echo.c.content">
          <xs:attributeGroup ref="echo:echo.c.attlist"/>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>
  </xs:element>
  <xs:complexType name="echo.c.content" mixed="true">
    <xs:group ref="echo:echo.inline.model"/>
  </xs:complexType>


</xs:schema>
